org.deidentifier.arx.gui.view.impl.common

## Class ComponentTitledSeparator

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.deidentifier.arx.gui.view.impl.common.ComponentTitledSeparator

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class ComponentTitledSeparator
    extends org.eclipse.swt.widgets.Composite

Instances of this class provide a separator with a title and/or an image.

Styles:
  BORDER
Events:
  (none)

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Constructor Summary

Constructors
Constructor and Description
`ComponentTitledSeparator(org.eclipse.swt.widgets.Composite parent, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAlignment()` Returns a value which describes the position of the text or image in the receiver.
`org.eclipse.swt.graphics.Image` `getImage()` Returns the receiver's image if it has one, or null if it does not.
`java.lang.String` `getText()` Returns the receiver's text.
`void` `setAlignment(int alignment)` Controls how text will be displayed in the receiver.
`void` `setImage(org.eclipse.swt.graphics.Image image)` Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void` `setLayout(org.eclipse.swt.widgets.Layout layout)`
`void` `setText(java.lang.String text)` Sets the receiver's text.

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, computeSize, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentTitledSeparator

    public ComponentTitledSeparator(org.eclipse.swt.widgets.Composite parent,
                                    int style)

Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `org.eclipse.swt.SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent

### Method Detail

#### getAlignment

    public int getAlignment()

Returns a value which describes the position of the text or image in the receiver. The value will be one of `LEFT`, `RIGHT` or `CENTER`.

Returns:
  the alignment
Throws:
  `org.eclipse.swt.SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

Returns the receiver's image if it has one, or null if it does not.

Returns:
  the receiver's image
Throws:
  `org.eclipse.swt.SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### getText

    public java.lang.String getText()

Returns the receiver's text.

Returns:
  the receiver's text
Throws:
  `org.eclipse.swt.SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### setAlignment

    public void setAlignment(int alignment)

Controls how text will be displayed in the receiver. The argument should be one of `LEFT`, `RIGHT` or `CENTER`.

Parameters:
  `alignment` - the new alignment
Throws:
  `org.eclipse.swt.SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### setImage

    public void setImage(org.eclipse.swt.graphics.Image image)

Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.

Parameters:
  `image` - the image to display on the receiver (may be null)
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_INVALID_ARGUMENT - if the image has been disposed
  `org.eclipse.swt.SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### setLayout

    public void setLayout(org.eclipse.swt.widgets.Layout layout)

Overrides:
  `setLayout` in class `org.eclipse.swt.widgets.Composite`
See Also:
  `Composite.setLayout(org.eclipse.swt.widgets.Layout)`

#### setText

    public void setText(java.lang.String text)

Sets the receiver's text.

Parameters:
  `string` - the new text
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the text is null
  `org.eclipse.swt.SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver